org.apache.ignite.internal.processors.rest.handlers.query

## Class CacheQueryFieldsMetaResult

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.query.CacheQueryFieldsMetaResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheQueryFieldsMetaResult
    extends Object
    implements Externalizable

Cache query fields metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheQueryFieldsMetaResult()` Empty constructor for Externalizable.
`CacheQueryFieldsMetaResult(GridQueryFieldMetadata meta)`

### Method Summary

Methods
`String` `getFieldName()`
`String` `getFieldTypeName()`
`String` `getSchemaName()`
`String` `getTypeName()`
`void` `readExternal(ObjectInput in)`
`void` `setFieldName(String fieldName)`
`void` `setFieldTypeName(String fieldName)`
`void` `setSchemaName(String schemaName)`
`void` `setTypeName(String typeName)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheQueryFieldsMetaResult

    public CacheQueryFieldsMetaResult()

Empty constructor for Externalizable.

#### CacheQueryFieldsMetaResult

    public CacheQueryFieldsMetaResult(GridQueryFieldMetadata meta)

Parameters:
  `meta` - Metadata

### Method Detail

#### getSchemaName

    public String getSchemaName()

Returns:
  Schema name.

#### setSchemaName

    public void setSchemaName(String schemaName)

Parameters:
  `schemaName` - Schema name.

#### getTypeName

    public String getTypeName()

Returns:
  Type name.

#### setTypeName

    public void setTypeName(String typeName)

Parameters:
  `typeName` - Type name.

#### getFieldName

    public String getFieldName()

Returns:
  Field name.

#### setFieldName

    public void setFieldName(String fieldName)

Parameters:
  `fieldName` - Field name.

#### getFieldTypeName

    public String getFieldTypeName()

Returns:
  Field type name.

#### setFieldTypeName

    public void setFieldTypeName(String fieldName)

Parameters:
  `fieldName` - Field name.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017